/*
  This file is under Public Domain.
*/

/*
  UTF16 to ANSI converter
 */
struct miniMBString
{
	miniMBString(const PRUnichar* c);
	~miniMBString() { delete[] m_string; }
	operator char* () { return m_string; }
private:
	char* m_string;
};

/*
  ANSI to UTF16 converter
 */
struct miniWString
{
	miniWString(const char* c);
	~miniWString() { delete[] m_string; }
	operator LPWSTR () { return m_string; }
private:
	LPWSTR m_string;
};
